Subject: Request for adding rdnssd to main

From: Nico Schottelius <[email-masked]>
Date: Sun, 18 Oct 2020 10:34:19 +0200

Good morning everyone,

I'd like to raise the discussion about moving rdnssd (+ -openrc) to main
and adding it to the installation media.  The motivation is to support
Alpine Linux installations in IPv6 only networks.

A short recap for those who are not managing IPv6 only networks on a
daily basis: In the IPv6 world, we have the mechansim named
"autoconfiguration" or "SLAAC". It is a stateless service that allows
clients to autoconfigure themselves.

This is probably known to most people, however this autoconfiguration
can also include DNS information (like search path and DNS servers). In
fact, if you are in an IPv6 only network, chances are high that you only
get DNS information this way (also known as "router advertisements").

Good news is that alpine already includes "rdnssd", which just needs to
be started and the problem is solved.

Bad news, it is currently not in main and neither is it available on the
installation media. Thanks to the work of ikke in IRC rdnssd has already
become a package on its own that can be installed easily and without
much space requirements.

For this reason, I would suggest the following changes:

a) move the ndisc6 aport to main (and thus rdnssd)
b) add rdnssd to the installation media
c) when starting networking on the installation media, also start rdnssd

The last point could also be made independent and rdnssd could be
started independently - however I can see how this might lead to
discussions of the necessity of running a daemon by default.

For (a) ikke has also already created an MR on [0]

I am looking forward to your feedback and hope that we can support IPv6
only networks in Alpine by default in the near future.

Best regards,

Nico

[0] https://gitlab.alpinelinux.org/alpine/aports/-/merge_requests/13738

--
Modern, affordable, Swiss Virtual Machines. Visit www.datacenterlight.ch